Package Details: chipmunk 7.0.1-1

Git Clone URL: https://aur.archlinux.org/chipmunk.git (read-only)
Package Base: chipmunk
Description: A high-performance 2D rigid body physics library
Upstream URL: http://chipmunk-physics.net/
Licenses: MIT
Submitter: None
Maintainer: mtorromeo
Last Packager: mtorromeo
Votes: 29
Popularity: 0.659103
First Submitted: 2008-07-19 14:00
Last Updated: 2016-03-30 08:38

Latest Comments

DrLuke commented on 2016-03-26 15:37

Please consider adding -DNDEBUG=ON to the cmake line, otherwise debug messages and runtime-assertions get spewed on stdout.

mindkeep commented on 2014-06-13 07:11

It looks like the latest is 6.2.1

Svenstaro commented on 2013-09-04 12:58

It's a popular game physics library though.

mtorromeo commented on 2013-09-04 12:29

I don't know, it's just a library...

Svenstaro commented on 2013-09-04 12:18

This should probably be in [community].

snark.real commented on 2013-09-04 12:15

Please update PKGBUILD
# Maintainer: Massimiliano Torromeo <massimiliano.torromeo@gmail.com>
# Contributor: Astor Castelo <amcastelo[at]gatech[dot]edu>
# Contributor: Fabio Volpe <volpefabio@gmail.com>

pkgname=chipmunk
pkgver=6.2.0
pkgrel=1
pkgdesc="A high-performance 2D rigid body physics library"
arch=('i686' 'x86_64')
url="http://chipmunk-physics.net/"
license=('MIT')
depends=('glibc')
makedepends=('cmake')
source=(http://chipmunk-physics.net/release/Chipmunk-${pkgver%%.*}.x/Chipmunk-${pkgver}.tgz)

build() {
cd "$srcdir/Chipmunk-$pkgver"
sed -i '/MAKE_PROPERTIES_REF(cpShape, IsSensor);/d' include/chipmunk/chipmunk_ffi.h
cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DBUILD_DEMOS=OFF -DCMAKE_C_FLAGS="-DCHIPMUNK_FFI" .
make clean
make
}

package() {
cd "$srcdir/Chipmunk-$pkgver"
install -Dm0644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
make DESTDIR="$pkgdir" install
}

md5sums=('42c63539976b84f5f643fc0acb1b7127')

Ideka commented on 2013-06-23 13:59

It seems the SHA256 checksum has changed?

losinggeneration commented on 2012-02-08 20:12

The dependencies are all wrong. 'glibc' is all that's required for this package.

speps commented on 2011-11-05 16:12

FYI if you want to build Demos, change -DBUILD_DEMOS=OFF to -DBUILD_DEMOS=ON and add this line in the PKGBUILD (it will not build otherwise):
sed -i 's/TRUE/cpTrue/' Demo/Buoyancy.c

Svenstaro commented on 2011-10-16 10:37

@mtorromeo: This is a fine candidate for [community], hint hint.

mtorromeo commented on 2011-10-14 20:10

Adopeted, thanks.
I wrote an email to tiwowt but I did not get a reply.

Svenstaro commented on 2011-10-14 20:07

Orphaning as this user appears to be inactive since July.
@tiwowt, if you want the package back, shoot me a mail.
@mtorromeo, feel free to take over the wor- er the package.

mtorromeo commented on 2011-10-13 15:58

Forgot the link: https://github.com/mtorromeo/archlinux-packages/tree/master/chipmunk

mtorromeo commented on 2011-10-13 15:55

Hi,
I created an updated version of chipmunk (v 6.0.2) built with FFI enabled so that it can work with pymunk using another updated PKGBUILD that I prepared.

Please update or orphan so that I could adopt it.
Thanks.

Anonymous comment on 2011-08-19 14:59

Can you please update this to 6.0.1? Or orphan it, I suppose.

Anonymous comment on 2010-07-12 08:58

Thank you ftrvxmtrx for the suggest.

ftrvxmtrx commented on 2010-07-09 23:49

Removing ._* files fixes the build:

cd "$startdir/src/Chipmunk-$pkgver"
+ find . -name '._*' -delete
cmake -DCMAKE_INSTALL_PREFIX=/usr .

Anonymous comment on 2010-05-20 18:41

Last version 5.2.0 compilation fails. Perhaps because an error in source package.